Forge Component
(85)
Published on 25 Mar by OutSystems R&D
85 votes
Published on 25 Mar by OutSystems R&D

Hi, after upgrading Silk UI to 3.2.1 from 3.1.8, latest version for Java stack platform 10, I am getting a javascript error when rendering a page contains a Gallery webblock.

The error:

Uncaught DOMException: Failed to execute 'querySelector' on 'Document': '<widget id> .Gallery' is not a valid selector.

This error is coming from Gallery.nl.js. The piece of source code:

if(document.querySelector(widgetId + ' .Gallery')) {
            document.querySelector(widgetId + ' .Gallery').style.opacity = 1;
  }

I know that this has something to do with another bug (Gallery Bug in latest Silk UI) that has already been fixed and released in this version 3.2.1.

And I'm also wondering why is the latest SilkUI version (3.3.2) for platform 10 doesn't support JAVA stack?